> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fiftytwo-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fiftytwo-demo.ferndocs.com/_mcp/server.

# Transaction logs for a chain

GET https://api.fiftytwo.com/tpla/v1/chain/{chainNumber}/transaction-pos-log/{lastTransactionPosLogId}

Returns a list of transaction logs since lastTransactionPosLogId. 
Note that the last transaction log id is returned in the header as X-Last-Transaction-Pos-Log-Id

Reference: https://fiftytwo-demo.ferndocs.com/api/transactions/reference/return-a-list-of-transaction-logs-for-a-given-chain/transaction-logs-for-a-chain

## Request

### Path parameters

- `chainNumber` (integer, required) — The identifier for the retail chain. For example: 1
- `lastTransactionPosLogId` (long, required) — ID of last received transaction log. Method returns transaction logs with IDs starting with lastTransactionPosLogId + 1.

### Query parameters

- `limit` (integer, optional, default: 100) — Limits how many transaction logs to return

## Response

### 200

OK

- `list of TransactionsItems`

## Types

### TransactionsItems

- `PosReceiptDocumentVersion` (string, required) — Version number for the Transaction POS log format. For example: v1
- `Header` (TransactionsItemsHeader, required)
- `Transactions` (list of TransactionsItemsTransactionsItems, required)

### TransactionsItemsHeader

- `Session` (integer, required) — Session number. A session is a sales day, from a store opens until the store's end-of-day routines take place. The session number is thus a sequential number that identifies a particular sales date. For technical reasons, the first day that a store uses the POS system is session 2, the following day is session 3, and so on.
- `StoreNo` (integer, required) — ID of required store.
- `TillNo` (integer, required) — ID of the till.
- `ReceiptNo` (integer, required) — Individual till's receipt number. Starts at 1 every day (session).
- `TimeStamp` (integer, required) — Linux timestamp in number of seconds since 1st January 1970 (also known as epoch). Example: 1758103010.
- `ExternalStoreId` (string, optional) — Alternative to the store ID number (see StoreNo in the previous). Can be up to 10 characters.
- `TransactionTime` (string, optional) — XML/JSON-formatted timestamp of transaction start. Example: 2025-09-17T11:56:50+01:00.
- `Cashier` (integer, optional) — Operator ID. An operator (also known as a cashier) is responsible for the content of the till's cash drawer. An operator can only be active on one till at a time, because there's a one-to-one relation between the operator and the money in the cash drawer that the operator uses. Only operators can make cash statements on tills. Multiple operators may use the same till during a day, but in that case they'll remove their cash drawer and make a cash statement when they finish working at the till. When another operator begins working at the till, they'll bring their own cash drawer. Note that even though a till is used by multiple shop assistants who log in as salespersons (see SalesPerson in the following), the till can still have a fixed operator, that is an operator who's permanently logged in to the till.
- `SalesPerson` (integer, optional) — Salesperson ID. A salesperson doesn't have personal responsibility for the content of the till's cash drawer. Salespersons are typically used when multiple shop assistants share a till and log in to the till at the beginning of each sale.
- `Training` (boolean, optional) — Indicates if receipt was issued while the till was in training mode. In that case the receipt only concerns dummy transactions for training purposes, so that the receipt shouldn't be recorded and affect sales figures, stock levels, etc.
- `ReceiptCancelled` (boolean, optional) — Indicates if receipt is one that was cancelled, so that the receipt shouldn't be recorded and affect sales figures, stock levels, etc.
- `ReceiptParked` (boolean, optional) — Indicates if receipt is a parked receipt (one that is meant to be resumed later), so that the receipt shouldn't be recorded and affect sales figures, stock levels, etc.
- `RefundReceipt` (boolean, optional) — Indicates if receipt is a refund receipt. Only used when it's not allowed to mix refunds and sales on the same receipt.
- `ExchangeReceipt` (boolean, optional) — Indicates if receipt concerns an exchange transaction between two means of payment, for example if a customer wants to buy cash with their credit card.

### TransactionsItemsTransactionsItems

- `Type` (enum, required) — Transaction type.SalesTransaction: All sales transactions, including finance transactionsDiscountTransaction: All discountsPaymentTransaction: All paymentsTransactionMisc: All miscellaneous transaction information (non-exhaustive list of examples: requisition number, VAT information, reprint information, ...)TransactionText: All transaction text lines, including EFT print linesStockTransaction: All stock movements not initiated by sale or returnReceiptTotal: Receipt total
  - Allowed values: `SalesTransaction`, `DiscountTransaction`, `PaymentTransaction`, `TransactionMisc`, `TransactionText`, `StockTransaction`, `ReceiptTotal`
- `Seqno` (integer, required) — Line sequence number on the receipt, beginning with 1 for the first line.
- `TypeId` (integer, optional) — Transaction type ID. All generated transactions have a transaction type (tt) ID that consists of an integer between 1 and 99. For a complete list of transaction types, see href: https://help.fiftytwo.com/help/en-us/Default.htm#cshid=2012.
- `SubType` (integer, optional) — Some transaction types have a number of subtypes. For example, sales transactions have subtypes based on bit fields, where behavior can be different depending on whether a bit is set to be off or on (more information about subtypes: href: https://help.fiftytwo.com/help/en-us/Default.htm#cshid=2012).
- `TransactionTime` (string, optional) — XML/JSON-formatted timestamp of the line in question (see SeqNo in the previous).
- `SalesType` (enum, optional) — Used in connection with sales and stock transactions (see Type in the previous).For a sales transaction, sales type can be: ItemSale (sale of articles), GiftCertificate (sale of gift cards), or Finance (financial transactions)For a stock transaction, sales type can be: Movement (stock movement), Taking (counting stock when doing inventory), or Discrepancy (stock discrepancy adjustment)
  - Allowed values: `ItemSale`, `Finance`, `GiftCertificate`, `Movement`, `Taking`, `Discrepancy`
- `ArticleNumber` (string, optional) — The article number of the article in question.
- `ReceiptText` (string, optional) — The receipt text of the article in question.
- `Quantity` (double, optional) — Quantity of article in question. For a sales transacion, it indicates the quantity being sold. For a stock transacion, it indicates the quantity being moved or adjusted.
- `UnitSalesPrice` (double, optional) — Sales price per unit of the article in question.
- `QtySalesPrice` (double, optional) — Sales price of the quantity of the article in question, for example the sales price of six units of the article.
- `VatAmount` (double, optional) — VAT amount on the line in question. On sales transactions that involve VAT, this will typically be a positive number, while on discount transactions it will be typically negative number.
- `LineNumber` (double, optional) — Transaction line number, beginning with 1 for the first line.
- `Cancel` (boolean, optional) — On sales transactions, this indicates if the line in question has been cancelled (also known as voided).
- `Refund` (boolean, optional) — On sales transactions, this indicates if the line in question concerns a refund.
- `Enquiry` (boolean, optional) — On sales transactions, this indicates if the line in question concerns an inquiry/price lookup rather than a sale.
- `ArticleGroup` (double, optional) — ID number of the article group that the article in question belongs to. A value of 0 means no article group.
- `OriginalPrice` (double, optional) — Original price of the article in question.
- `PriceChange` (boolean, optional) — On sales transactions, this indicates if the price of the article in question has been changed by entering another price manually.
- `DiscountStatus` (enum, optional) — Used in connection with discount transactions (see Type in the previous).Discount status can be: Booked (discount booked on article), Linked (discount not booked on article (so that the discount has no financial impact)), Printed (printed discount line with no financial impact), or Info (contains discount-triggering information, typically about a campaign)
  - Allowed values: `Booked`, `Linked`, `Printed`, `Info`
- `DiscountType` (double, optional) — Type of discount used on the line in question. Possible discount types:0 = Based on article (typically a campaign)1 = Based on payment type2 = Based on till3 = Based on receipt total4 = (not used)5 = Basket discount6 = Voucher/coupon discount7 = Price guarantee discount8 = Markdown discount9 = Customer/article discount (based article on being member of article group and customer being registered)10 = External discount11 = Club discount12 = Free/complimentary article discount13 = Point-based discount14 = Total discount (via a special key with \<TOTD> precoding, ask your Fiftytwo consultant if you're in doubt)15 = Customer list-based discount16 = Best price discount (for customers collecting orders to get best price based on what's calculated at order creation time and at order collection time)17 = Manual group discount, also known as smart discount (where shop assistants can select one or more article lines on the till's journal and give a discount on the selected lines)
- `DiscountReasonCode` (double, optional) — ID of reason code that explains reason for granting the discount in question (if reason codes have been configured, ask your Fiftytwo consultant if you're in doubt).
- `DiscountAmount` (double, optional) — Discount given, including VAT.
- `Reference` (double, optional) — ID of discount group or offer that has triggered the discount in question. A value of 0 means that discount wasn't triggered by a discount group or offer.
- `CampaignId` (double, optional) — ID of campaign that has triggered the discount in question. A value of 0 means that discount wasn't triggered by a campaign.
- `DiscountedLine` (double, optional) — Reference to the sales transaction line number that the discount concerns.
- `ReceiptTotal` (double, optional) — Receipt total amount.
- `NumberArticles` (double, optional) — Number of article lines on receipt.
- `NumberPackages` (double, optional) — Number of packages on receipt. A package is typically a multi-article container, but it can also be multiple instances of an article that have been sold together using the till's multiply (&#215;) key. Note that linked articles (for example bottle deposit) aren't counted, so a bottle of soft drink with bottle deposit only counts as one article, namely the soft drink itself. Furthermore, some articles can be configured to always count as one even though in practice they may consist of multiple units (example: weight-priced potatoes)
- `NumberCancelledArticles` (double, optional) — Number of canceled article lines on receipt.
- `CancelAmount` (double, optional) — Total amount represented by canceled article lines on receipt.
- `HandlingTime` (double, optional) — Time in seconds spent by shop assistant on registering articles on the receipt, from shop assistant scans first article until shop assistant taps Total.
- `TenderTime` (double, optional) — Time in seconds spent by customer on payment in connection with the receipt, from shop assistant taps Total until POS system registers payment.
- `TransactionType` (enum, optional) — Used in connection with payment transactions (see Type in the previous).Transaction type can be: Payment, PaymentToAccount (payment into an account), TenderRemoval (cash removed from till's cash drawer), TenderAdded (cash added to till's cash drawer), or TenderDeclaration (cash statement)
  - Allowed values: `Payment`, `PaymentToAccount`, `TenderRemoval`, `TenderAdded`, `TenderDeclaration`
- `TenderType` (double, optional) — ID of means of payment.
- `TenderText` (string, optional) — Receipt text that reflects means of payment.
- `PaidAmount` (double, optional) — Total amount (in local currency) paid with the means of payment in question.
- `Currency` (string, optional) — ISO 4217 currency code of received payment.
- `ExchangeRate` (double, optional) — Exchange rate used if payment is in foreign currency.
- `PaidCurrency` (double, optional) — If payment is in foreign currency, total amount in foreign currency paid with the means of payment in question.
- `CashBack` (double, optional) — Change given. Always in local currency.
- `Rounding` (double, optional) — Rounding used.
- `TenderInfo` (double, optional) — Optionally registered payment information.
- `Issuer` (string, optional) — ID of card issuer.
- `VoucherId` (string, optional) — Voucher/coupon/credit note number.
- `AccountNo` (double, optional) — Account number for debtor sales.
- `Points` (double, optional) — Number of points used.
- `CustomerId` (double, optional) — ID of customer who spent points (see Points in the previous).
- `TenderRefNo` (double, optional) — ID for collecting stamps.
- `CashManagement` (boolean, optional) — Indicates if payment was received through cash management system (CMS).
- `ExtPaymentNum` (double, optional) — Reference to third-party means of payment.
- `Status` (integer, optional) — (Awaiting description)
- `Customer` (any, optional)
- `MiscDesc` (string, optional) — Description of miscellaneous transaction (see Type in the previous).
- `AuthCode` (double, optional) — (Awaiting description)
- `ClubSystem` (double, optional) — (Awaiting description)
- `Percent` (double, optional) — (Awaiting description)
- `CardIssueNo` (double, optional) — (Awaiting description)
- `CorrectionType` (string, optional) — (Awaiting description)
- `CouponId` (double, optional) — (Awaiting description)
- `DiscountBase` (double, optional) — (Awaiting description)
- `DiscountId` (double, optional) — (Awaiting description)
- `EFTseqnr` (double, optional) — (Awaiting description)
- `ExpirationDate` (double, optional) — (Awaiting description)
- `InfoType` (double, optional) — The type of data to be expected in the following (see InfoData in the following)
- `InfoData` (double, optional) — Data of the type defined by InfoType (see the previous). Example: 0000000430639080624.
- ` InputMethod  ` (string, optional) — (Awaiting description)
- `KeyId` (double, optional) — (Awaiting description)
- `KeyNumber` (double, optional) — (Awaiting description)
- `KeyStatus` (string, optional) — (Awaiting description)
- `KeyTime` (datetime, optional) — (Awaiting description)
- `CustomerType` (double, optional) — (Awaiting description)
- `OrderId` (double, optional) — Order ID.
- `OrderMark` (double, optional) — (Awaiting description)
- `OrderType` (double, optional) — (Awaiting description)
- `OriginDate` (double, optional) — (Awaiting description)
- `OriginStoreNo` (double, optional) — (Awaiting description)
- `OriginTillNo` (double, optional) — (Awaiting description)
- `OriginReceiptNo` (double, optional) — (Awaiting description)
- `OriginSeqno` (double, optional) — (Awaiting description)
- `OriginTime` (datetime, optional) — (Awaiting description)
- `OriginSalesId` (double, optional) — (Awaiting description)
- `ReasonCode` (double, optional) — For sales, stock, and miscellaneous transactions, the ID of the reason code supplied if the transaction required staff to provide a reason code. For payment transactions, one of the following:1 = From bank2 = To bank3 = Start balance4 = Additional delivery5 = End balance6 = Banking7 = Currency exchange80 = Transferred to cash management system (CMS)98 = Removed from Cineo cash management device\<li>99 = Booked discrepancy/li>
- `ReconciliationCounter` (double, optional) — (Awaiting description)
- `RequisitionId` (double, optional) — Requistion number.
- ` ReversalType  ` (string, optional) — (Awaiting description)
- `Staff` (string, optional) — (Awaiting description)
- `Saf` (boolean, optional) — For payment transactions, this indicates if transaction is a Store and Forward (SAF) transaction (a payment processing feature where transactions are temporarily stored locally on a terminal or device during temporary loss of network connectivity).
- `SupplierId` (double, optional) — (Awaiting description)
- `AlternateTenderType` (double, optional) — (Awaiting description)
- `TextId` (double, optional) — (Awaiting description)
- `VatCode` (double, optional) — VAT code of the transaction in question. VAT codes 0-9 can be defined on your 52ViKING solution, where each VAT code can represent an individual VAT rate, including 0.00% VAT. Ask your Fiftytwo consultant if you're in doubt.
- `VatRate` (double, optional) — VAT rate percentage of the selected VAT code (see VatCode in the previous). Example: 25 (indicating a VAT rate of 25%).
- `VatValue` (double, optional) — (Awaiting description)
- `VoucherArticleNo` (double, optional) — (Awaiting description)
- `VoucherDenomination` (double, optional) — (Awaiting description)
- `Bagnumber` (double, optional) — (Awaiting description)
- `TextType` (double, optional) — The type of text to be expected in the following (see Text in the following). Multiple blocks of the same text type can be concatenated into one large text.1 = Article not found2 = EFT print lines3 = Information for article and services sales4 = Self-scanning reference ID5 = Control scanning reference ID6 = Scanning error7 = Automatically produced text message8 = Manually produced text message9 = Log message concerning credit cards10 = General inquiry11 = Accumulated EFT turnover from EFT terminal12 = REA gift card13 = Cash in transfer (CIT)14 = Generic error message from till15 = Random control16 = Registered discount voucher/coupon17 = MAC address (arrives at first till sign-on)18 = SafePay messages19 = Log message concerning printed exchange stickers20 = Header for hashed values (presented a x,y,z, where x = scheme ID, y = algorithm ID (1 = SHA256, 2= SHA512), and z = salt version)21 = First part of credit card hash value22 = Second part of credit card hash value23 = Third part of credit card hash value28 = External customer ID29 = Phone number30 = External device31 = POS program file incl. version number32 = Restaurant table33 = Restaurant chair34 = Free text concerning manual payment into account35 = Member mail information part 136 = Member mail information part 237 = Loyalty ID part 138 = Loyalty ID part 239 = EFT serial number (if no serial number, 0 means delete and 1 means create)40 = Loyalty phone number41 = Member mail information part 342 = Member mail information part 443 = Member mail information part 544 = External voucher/coupon data45 = External reference ID (created by mkbonfile for orders, ask your Fiftytwo consultant if you're in doubt)46 = External data payload47 = External gift card number48 = (undefined)50 = General query (GQ)51 = Signature52 = Supplementary article information53 = Discount free text54 = Signature base55 = Down payment article number61 = (reserved)62 = Message from tinting machine91-99 = tags from GS1-128 barcode101-129 = Reserved for typing customer information for order registration101 = Customer name102 = Address103 = Zip code (postcode) and city104 = Phone number105 = E-mail address106 = Remarks107 = VAT number (CVR)108 = Customer reference109 = Requisition number110 = Customer label111 = Customer label ID199-999 = For free use via text segments, ask your Fiftytwo consultant if you're in doubt1000-1999 = Tags used on till1000 = Tinting information1001 = Free text1002 = External discount system reference
- `Text` (string, optional) — Text (character sequence of up to 23 bytes) of the specified text type (see TextType in the previous).
- `MovementType` (double, optional) — Used in connection with stock transactions (see Type in the previous). Determines the type of stock movement or other stock transaction:01 = Breakage02 = Other stock reduction03 = Other stock increase04 = Supplier invoice05 = Supplier invoice discrepancy06 = Transfer between articles07 = Delivery directly from producer, rather than through wholesaler08 = Return to vendor09 = Transfer to other store10 = Stock count/inventory11 = Stock difference
- `CounterpartyStore` (double, optional) — For stock transactions, store ID of the sending or receiving store involved in internal transfer.
- `ExtLineNumber` (double, optional) — For stock transactions, line number from external backend system (0 means new line, otherwise identical to line number recieved from import).
- `Value` (double, optional) — (Awaiting description)

## Examples

**Response**

```json
[
  {
    "PosReceiptDocumentVersion": "v1",
    "Header": {
      "Session": 2244,
      "StoreNo": 2203,
      "TillNo": 17,
      "ReceiptNo": 51,
      "TimeStamp": 1655798817,
      "ExternalStoreId": "butnr",
      "TransactionTime": "2022-06-21T08:06:57+00:00",
      "Cashier": 6000,
      "SalesPerson": 6000,
      "Training": false,
      "ReceiptCancelled": false,
      "ReceiptParked": false,
      "RefundReceipt": false,
      "ExchangeReceipt": false
    },
    "Transactions": [
      {
        "Type": "SalesTransaction",
        "Seqno": 1,
        "TypeId": 1,
        "SubType": 0,
        "TransactionTime": "2022-06-21T08:06:57+00:00",
        "SalesType": "ItemSale",
        "ArticleNumber": "11",
        "ReceiptText": "Article 11.",
        "Quantity": 1,
        "UnitSalesPrice": 11,
        "QtySalesPrice": 11,
        "VatAmount": 2.2,
        "LineNumber": 1,
        "Cancel": false,
        "Refund": false,
        "ArticleGroup": 10,
        "PriceChange": false,
        "Inquiry": false
      },
      {
        "Type": "DiscountTransaction",
        "Seqno": 2,
        "TypeId": 6,
        "SubType": 0,
        "TransactionTime": "2022-06-21T08:06:57+00:00",
        "ArticleNumber": "11",
        "VatAmount": -0.33,
        "DiscountStatus": "Booked",
        "DiscountType": 0,
        "DiscountReasonCode": 0,
        "DiscountAmount": -1.67,
        "Reference": 0,
        "CampaignId": 0,
        "DiscountedLine": 1
      },
      {
        "Type": "SalesTransaction",
        "Seqno": 3,
        "TypeId": 1,
        "SubType": 0,
        "TransactionTime": "2022-06-21T08:07:56+00:00",
        "SalesType": "ItemSale",
        "ArticleNumber": "11",
        "ReceiptText": "Article 11.",
        "Quantity": 1,
        "UnitSalesPrice": 11,
        "QtySalesPrice": 11,
        "VatAmount": 2.2,
        "LineNumber": 3,
        "Cancel": false,
        "Refund": false,
        "ArticleGroup": 10,
        "PriceChange": false,
        "Inquiry": false
      },
      {
        "Type": "DiscountTransaction",
        "Seqno": 4,
        "TypeId": 6,
        "SubType": 0,
        "TransactionTime": "2022-06-21T08:06:57+00:00",
        "ArticleNumber": "11",
        "VatAmount": -0.33,
        "DiscountStatus": "Booked",
        "DiscountType": 0,
        "DiscountReasonCode": 0,
        "DiscountAmount": -1.67,
        "Reference": 0,
        "CampaignId": 0,
        "DiscountedLine": 3
      },
      {
        "Type": "SalesTransaction",
        "Seqno": 5,
        "TypeId": 1,
        "SubType": 0,
        "TransactionTime": "2022-06-21T08:07:59+00:00",
        "SalesType": "ItemSale",
        "ArticleNumber": "11",
        "ReceiptText": "Article 11.",
        "Quantity": 1,
        "UnitSalesPrice": 11,
        "QtySalesPrice": 11,
        "VatAmount": 2.2,
        "LineNumber": 5,
        "Cancel": false,
        "Refund": false,
        "ArticleGroup": 10,
        "PriceChange": false,
        "Inquiry": false
      },
      {
        "Type": "DiscountTransaction",
        "Seqno": 6,
        "TypeId": 6,
        "SubType": 0,
        "TransactionTime": "2022-06-21T08:06:57+00:00",
        "ArticleNumber": "11",
        "VatAmount": -0.33,
        "DiscountStatus": "Booked",
        "DiscountType": 0,
        "DiscountReasonCode": 0,
        "DiscountAmount": -1.66,
        "Reference": 0,
        "CampaignId": 0,
        "DiscountedLine": 5
      },
      {
        "Type": "DiscountTransaction",
        "Seqno": 7,
        "TypeId": 19,
        "SubType": 0,
        "TransactionTime": "2022-06-21T08:06:57+00:00",
        "ArticleNumber": "11",
        "VatAmount": -1,
        "DiscountStatus": "Printed",
        "DiscountType": 0,
        "DiscountReasonCode": 0,
        "DiscountAmount": -5,
        "Reference": 0,
        "CampaignId": 0,
        "DiscountedLine": 5
      },
      {
        "Type": "PaymentTransaction",
        "Seqno": 8,
        "TypeId": 23,
        "SubType": 0,
        "TransactionType": "Payment",
        "TenderType": 0,
        "TenderText": "KONTANT",
        "PaidAmount": 28,
        "Currency": "DKK",
        "ExchangeRate": 0,
        "PaidCurrency": 0,
        "CashBack": 0,
        "Rounding": 0,
        "TenderInfo": 0,
        "Points": 0,
        "CustomerId": 0,
        "TenderRefNo": 1,
        "CashManagement": false,
        "ExtPaymentNum": 1,
        "Customer": null
      },
      {
        "Type": "TransactionMisc",
        "Seqno": 9,
        "TypeId": 47,
        "SubType": 0,
        "ReceiptTotal": 28,
        "CustomerId": 0,
        "MiscDesc": "Staff",
        "Percent": 0,
        "CardIssueNo": 0,
        "DiscountBase": 28,
        "DiscountId": 0,
        "CustomerType": 0
      },
      {
        "Type": "TransactionMisc",
        "Seqno": 10,
        "TypeId": 64,
        "SubType": 0,
        "ReceiptTotal": 28,
        "MiscDesc": "Vat",
        "VatCode": 1,
        "VatRate": 25,
        "VatValue": 28
      },
      {
        "Type": "ReceiptTotal",
        "Seqno": 11,
        "TypeId": 22,
        "SubType": 0,
        "ReceiptTotal": 28,
        "NumberArticles": 3,
        "NumberPackages": 3,
        "NumberCancelledArticles": 0,
        "CancelAmount": 0,
        "HandlingTime": 69,
        "TenderTime": 3
      }
    ]
  }
]
```

**SDK Code**

```python Return a list of transaction logs for a given chain_transactionLogsForAChain_example
import requests

url = "https://api.fiftytwo.com/tpla/v1/chain/1/transaction-pos-log/1"

response = requests.get(url)

print(response.json())
```

```javascript Return a list of transaction logs for a given chain_transactionLogsForAChain_example
const url = 'https://api.fiftytwo.com/tpla/v1/chain/1/transaction-pos-log/1';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Return a list of transaction logs for a given chain_transactionLogsForAChain_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fiftytwo.com/tpla/v1/chain/1/transaction-pos-log/1"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Return a list of transaction logs for a given chain_transactionLogsForAChain_example
require 'uri'
require 'net/http'

url = URI("https://api.fiftytwo.com/tpla/v1/chain/1/transaction-pos-log/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java Return a list of transaction logs for a given chain_transactionLogsForAChain_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.fiftytwo.com/tpla/v1/chain/1/transaction-pos-log/1")
  .asString();
```

```php Return a list of transaction logs for a given chain_transactionLogsForAChain_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.fiftytwo.com/tpla/v1/chain/1/transaction-pos-log/1');

echo $response->getBody();
```

```csharp Return a list of transaction logs for a given chain_transactionLogsForAChain_example
using RestSharp;

var client = new RestClient("https://api.fiftytwo.com/tpla/v1/chain/1/transaction-pos-log/1");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift Return a list of transaction logs for a given chain_transactionLogsForAChain_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fiftytwo.com/tpla/v1/chain/1/transaction-pos-log/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```